org.red5.io.flv

## Interface IKeyFrameDataAnalyzer

All Known Implementing Classes:
  FLVReader, MP3Reader, MP4Reader

    public interface IKeyFrameDataAnalyzer

Analyzes key frame data.

### Nested Class Summary

Nested Classes
`static class` `IKeyFrameDataAnalyzer.KeyFrameMeta` Keyframe metadata.

### Method Summary

Methods
`IKeyFrameDataAnalyzer.KeyFrameMeta` `analyzeKeyFrames()` Analyze and return keyframe metadata.

### Method Detail

#### analyzeKeyFrames

    IKeyFrameDataAnalyzer.KeyFrameMeta analyzeKeyFrames()

Analyze and return keyframe metadata.

Returns:
  Metadata object